# XMLFileMgr Class Reference

Inheritance diagram for XMLFileMgr:

List of all members.

## Public Member Functions

| XMLFileMgr ()
virtual | ~XMLFileMgr ()
virtual FileHandle | fileOpen (const XMLCh *path, bool toWrite, MemoryManager *const manager)=0
virtual FileHandle | fileOpen (const char *path, bool toWrite, MemoryManager *const manager)=0
virtual FileHandle | openStdIn (MemoryManager *const manager)=0
virtual void | fileClose (FileHandle f, MemoryManager *const manager)=0
virtual void | fileReset (FileHandle f, MemoryManager *const manager)=0
virtual XMLFilePos | curPos (FileHandle f, MemoryManager *const manager)=0
virtual XMLFilePos | fileSize (FileHandle f, MemoryManager *const manager)=0
virtual XMLSize_t | fileRead (FileHandle f, XMLSize_t byteCount, XMLByte *buffer, MemoryManager *const manager)=0
virtual void | fileWrite (FileHandle f, XMLSize_t byteCount, const XMLByte *buffer, MemoryManager *const manager)=0
virtual XMLCh * | getFullPath (const XMLCh *const srcPath, MemoryManager *const manager)=0
virtual XMLCh * | getCurrentDirectory (MemoryManager *const manager)=0
virtual bool | isRelative (const XMLCh *const toCheck, MemoryManager *const manager)=0

## Constructor & Destructor Documentation

XMLFileMgr::XMLFileMgr | ( |  | ) |

virtual XMLFileMgr::~XMLFileMgr | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual FileHandle XMLFileMgr::fileOpen | ( | const XMLCh * | path,
|  | bool | toWrite,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual FileHandle XMLFileMgr::fileOpen | ( | const char * | path,
|  | bool | toWrite,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual FileHandle XMLFileMgr::openStdIn | ( | MemoryManager *const | manager | ) | `[pure virtual]`

virtual void XMLFileMgr::fileClose | ( | FileHandle | f,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual void XMLFileMgr::fileReset | ( | FileHandle | f,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual XMLFilePos XMLFileMgr::curPos | ( | FileHandle | f,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual XMLFilePos XMLFileMgr::fileSize | ( | FileHandle | f,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual XMLSize_t XMLFileMgr::fileRead | ( | FileHandle | f,
|  | XMLSize_t | byteCount,
|  | XMLByte * | buffer,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual void XMLFileMgr::fileWrite | ( | FileHandle | f,
|  | XMLSize_t | byteCount,
|  | const XMLByte * | buffer,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual XMLCh* XMLFileMgr::getFullPath | ( | const XMLCh *const | srcPath,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual XMLCh* XMLFileMgr::getCurrentDirectory | ( | MemoryManager *const | manager | ) | `[pure virtual]`

virtual bool XMLFileMgr::isRelative | ( | const XMLCh *const | toCheck,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

The documentation for this class was generated from the following file:

- XMLFileMgr.hpp